> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get agent's effective policy and current spend



## OpenAPI

````yaml /api-reference/openapi.json get /v1/agent-self/policy
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Production server
security: []
tags: []
paths:
  /v1/agent-self/policy:
    get:
      tags:
        - Agent Self
      summary: Get agent's effective policy and current spend
      responses:
        '200':
          description: Policy and spend
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      policy:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                          organizationId:
                            type: string
                            format: uuid
                          agentId:
                            type: string
                            format: uuid
                            nullable: true
                          name:
                            type: string
                          isActive:
                            type: boolean
                          priority:
                            type: integer
                          perTransactionLimitUsd:
                            type: string
                            nullable: true
                          dailyLimitUsd:
                            type: string
                            nullable: true
                          weeklyLimitUsd:
                            type: string
                            nullable: true
                          monthlyLimitUsd:
                            type: string
                            nullable: true
                          allowedRecipients:
                            type: array
                            items:
                              type: string
                          allowedAssetIds:
                            type: array
                            items:
                              type: string
                          allowedBlockchainIds:
                            type: array
                            items:
                              type: string
                          allowedDaysOfWeek:
                            type: array
                            items:
                              type: integer
                          allowedHourStart:
                            type: integer
                            nullable: true
                          allowedHourEnd:
                            type: integer
                            nullable: true
                          timezone:
                            type: string
                          createdAt:
                            type: string
                            format: date-time
                          updatedAt:
                            type: string
                            format: date-time
                      currentSpend:
                        type: object
                        properties:
                          spentTodayUsd:
                            type: number
                          spentThisWeekUsd:
                            type: number
                          spentThisMonthUsd:
                            type: number
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '404':
          description: Wallet or asset not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
      security:
        - AgentKeyAuth: []
components:
  securitySchemes:
    AgentKeyAuth:
      type: apiKey
      in: header
      name: x-agent-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.